#ifndef __KEYBIND_H__
#define __KEYBIND_H__

#include <string>
#include <map>

namespace MLS 
{
	class KeyBind
	{
		std::map<std::string, int> _definitions;
		std::map<int, std::string> _bindings;
		std::map<int, std::string> _meta_bindings;
		
		KeyBind();
		~KeyBind();
			
	public:
		static      KeyBind &GetInstance();
				
		bool        Load(const std::string &);
		
		int         GetDefinition(const std::string &);		
		std::string GetCommand(int key);
		std::string GetMetaCommand(int key);
		std::string GetKeyStr(std::string sCommand);
	};
	
#define g_Keybind KeyBind::GetInstance()

}; // namespace 


#endif
